//
//  CXDirector_Private.h
//  Chroniton
//
//  Created by Logan Collins on 4/16/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Chroniton/CXDirector.h>


@interface CXDirector ()

- (void)handle_keyDown:(CXEvent *)theEvent;
- (void)handle_keyUp:(CXEvent *)theEvent;

- (void)handle_mouseMoved:(CXEvent *)theEvent;

- (void)handle_mouseDown:(CXEvent *)theEvent;
- (void)handle_mouseDragged:(CXEvent *)theEvent;
- (void)handle_mouseUp:(CXEvent *)theEvent;

- (void)handle_rightMouseDown:(CXEvent *)theEvent;
- (void)handle_rightMouseDragged:(CXEvent *)theEvent;
- (void)handle_rightMouseUp:(CXEvent *)theEvent;

- (void)handle_touchesBegan:(NSSet *)touches withEvent:(CXEvent *)theEvent;
- (void)handle_touchesMoved:(NSSet *)touches withEvent:(CXEvent *)theEvent;
- (void)handle_touchesEnded:(NSSet *)touches withEvent:(CXEvent *)theEvent;
- (void)handle_touchesCancelled:(NSSet *)touches withEvent:(CXEvent *)theEvent;

- (void)handle_motionBegan:(CXEvent *)theEvent;
- (void)handle_motionEnded:(CXEvent *)theEvent;
- (void)handle_motionCancelled:(CXEvent *)theEvent;

@end
