//
//  CXTimer_Private.h
//  Chroniton
//
//  Created by Logan Collins on 4/18/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Chroniton/CXTimer.h>


@class CXDirector;


@interface CXTimer ()

+ (CXTimer *)timerWithInterval:(NSTimeInterval)interval repeats:(BOOL)repeats block:(void (^)(void))block;

@property (weak, readwrite) CXDirector *director;

@property (readwrite) NSTimeInterval interval;
@property (readwrite) BOOL repeats;
@property (copy, readwrite) void (^block)(void);

@property (weak) NSTimer *runLoopTimer;
@property NSTimeInterval nextInterval;

@end
