//
//  CXEvent_Private.h
//  Chroniton
//
//  Created by Logan Collins on 4/17/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Chroniton/CXEvent.h>


@interface CXEvent ()

@property (strong, readwrite) CXDirector *director;

@property (readwrite) NSTimeInterval timestamp;
@property (readwrite) CXEventType type;
@property (readwrite) CXEventSubtype subtype;

@property (copy, readwrite) NSSet *touches;

@property (readwrite) CGPoint location;
@property (readwrite) NSUInteger clickCount;

@property (readwrite) NSUInteger keyCode;
@property (readwrite, getter=isRepeat) NSUInteger repeat;

#if TARGET_OS_IPHONE
@property (strong) UIEvent *uiEvent;
#elif TARGET_OS_MAC
@property (strong) NSEvent *nsEvent;
#endif

@end
