//
//  CXSceneLayer.m
//  Chroniton
//
//  Created by Logan Collins on 4/26/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import "CXSceneLayer.h"
#import "CXScene.h"


@implementation CXSceneLayer

@synthesize scene=_scene;

+ (id)layerWithScene:(CXScene *)scene {
    CXSceneLayer *layer = [self layer];
    layer.scene = scene;
    return layer;
}

- (id <CXResponder>)nextResponder {
    return [self scene];
}

@end
