//
//  CXScript.h
//  Chroniton
//
//  Created by Logan Collins on 4/19/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>


@class CXDirector;


@interface CXScript : NSObject

+ (CXScript *)script;
+ (CXScript *)scriptWithActions:(NSArray *)actions;

@property (readonly, getter=isStarted) BOOL started;
- (void)start;

@property (readonly, getter=isPaused) BOOL paused;
- (void)pause;
- (void)resume;

@end
