//
//  CXTouch.m
//  Chroniton
//
//  Created by Logan Collins on 4/22/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import "CXTouch.h"
#import "CXTouch_Private.h"
#import "CXDirector.h"
#import "CXGameView.h"


@implementation CXTouch

@synthesize director=_director;
@synthesize location=_location;
@synthesize previousLocation=_previousLocation;
@synthesize timestamp=_timestamp;
@synthesize tapCount=_tapCount;
@synthesize phase=_phase;

- (CGPoint)locationInLayer:(CALayer *)layer {
    if (layer == nil) {
        return self.location;
    }
    else {
        return [[[[self director] baseLayer] superlayer] convertPoint:self.location toLayer:layer];
    }
}

- (CGPoint)previousLocationInLayer:(CALayer *)layer {
    if (layer == nil) {
        return self.previousLocation;
    }
    else {
        return [[[[self director] baseLayer] superlayer] convertPoint:self.previousLocation toLayer:layer];
    }
}

@end
