//
//  CXTimer.h
//  Chroniton
//
//  Created by Logan Collins on 4/7/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CXTimer : NSObject

+ (CXTimer *)timerWithInterval:(NSTimeInterval)interval repeats:(BOOL)repeats block:(void (^)(void))block;

@property NSTimeInterval interval;
@property BOOL repeats;
@property (copy) void (^block)(void);

@property (weak) NSTimer *runLoopTimer;
@property NSTimeInterval nextInterval;

@end
