//
//  CXTiledLayer.h
//  Chroniton
//
//  Created by Logan Collins on 4/16/12.
//  Copyright (c) 2012 Sunflower Softworks. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import <Chroniton/CXTile.h>


@protocol CXTiledLayerContentProvider;


@interface CXTiledLayer : CALayer

@property (weak) id <CXTiledLayerContentProvider> contentProvider;

@property CGSize tileSize;

@end


@protocol CXTiledLayerContentProvider <NSObject>

@required
- (CXTile *)tiledLayer:(CXTiledLayer *)layer tileAtPosition:(CXTilePosition)position;

@end
